//Cazacu Alexandru
#include<cstdio>
#include<algorithm>
using namespace std;

long long x1, d1, n1;
long long x2, d2, n2, perp;
long long max_area;

long long get_area(int up, int down, int num1, int num2) {
	long long b1 = 2.0 * (long long)(up-1) * d1 + d1;
	long long b2 = 2.0 * (long long)(down-1) * d2 + d2;

	if(num1 % 2 == 0)
		b1+= d1;
	if(num2 % 2 == 0)
		b2+= d2;

	if(b1 != b2)
		return b1 + b2;
	return max(b1 - 2*d1 + b2, b1 + b2 - 2*d2);
}

long long count() {

	long long number = 0;
	long long i = 2 * x1;
	long long j = 2 * x2;
	long long dist1 = d1;
	long long dist2 = d2;
	long long num1 = 0, num2 = 0;

	for(;num1 / 2 + 1 <= n1 && num2 / 2 + 1 <= n2;) {
		if(i == j) {
			if(num1 % 2 == 0 && num2 % 2 == 0)
				perp++;

			long long left = num1 / 2 + 1;
            		long long right = n1 - left;
			if(num1 % 2 == 0)
				left--;
 			long long up = min(left, right);

			left = num2 / 2 + 1;
			right = n2 - left;
			if(num2 % 2 == 0)
				left--;
			long long down = min(left, right);

			number+= (long long)up * (long long)down;
			max_area = max(max_area, get_area(up, down, num1, num2));
    		}

		if(i <= j)
			num1++, i+= dist1;
		else
			num2++, j+= dist2;
	}

	return number;
}

void solve() {

	long long result = count();
	printf("%lld\n", result - (long long)perp * (long long) (perp - 1) / (long long)2);
	printf("%lld", max_area);
}

void read_data() {
	scanf("%lld %lld %lld", &x1, &d1, &n1);
	scanf("%lld %lld %lld", &x2, &d2, &n2);
}

int main() {

	freopen("trapeze.in", "r", stdin);
	freopen("trapeze.out", "w", stdout);

	read_data();
	solve();

	return 0;
}
